> For the complete documentation index, see [llms.txt](https://docs.bunny.com/developer/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bunny.com/developer/api-reference/types/deal.md).

# Deal

A deal represents an opportunity to increase revenue

| Name                   | Type                                                                | Description                                                                |
| ---------------------- | ------------------------------------------------------------------- | -------------------------------------------------------------------------- |
| account                | [Account](/developer/api-reference/types/account.md)                | Account the deal belongs to                                                |
| accountId              | ID                                                                  | Account that the deal belongs to                                           |
| amount                 | Float                                                               | Total value of the deal                                                    |
| closeDate              | ISO8601Date                                                         | Datetime the deal closed                                                   |
| code                   | String                                                              | Unique code                                                                |
| contact                | [Contact](/developer/api-reference/types/contact.md)                | Primary contact for the deal                                               |
| contactId              | ID                                                                  | Primary contact for the deal                                               |
| createdAt              | ISO8601DateTime                                                     | Datetime the deal was created                                              |
| currency               | [Currency](/developer/api-reference/types/currency.md)              | Primary currency for billing                                               |
| currencyId             | ID                                                                  | Primary currency for billing                                               |
| customFieldDefinitions | List ([CustomField](/developer/api-reference/types/customfield.md)) | Custom field definitions for this object type                              |
| customFieldsData       | JSON                                                                | All custom field values for this object as a JSON object                   |
| dealStage              | [Deal](/developer/api-reference/types/deal.md)                      | Current stage of the deal                                                  |
| dealStageId            | ID                                                                  | Current stage of the deal                                                  |
| description            | String                                                              | Description of the deal                                                    |
| entity                 | [Entity](/developer/api-reference/types/entity.md)                  | The entity this deal belongs to                                            |
| entityId               | ID                                                                  | The ID of the entity this deal belongs to                                  |
| hasCustomFields        | Boolean                                                             | Whether this object type has any custom fields defined                     |
| id                     | ID                                                                  | Unique identifier for the deal                                             |
| kind                   | [DealKind](/developer/api-reference/enums.md#dealkind)              | The kind of deal                                                           |
| leadSourceId           | ID                                                                  | Lead source for the deal                                                   |
| name                   | String                                                              | Name of the deal                                                           |
| notForRevenue          | Boolean                                                             | Will exclude this deal from analytics                                      |
| origin                 | [DealOrigin](/developer/api-reference/enums.md#dealorigin)          | Describes the origin of the deal: sales, portal, signup etc                |
| owner                  | [User](/developer/api-reference/types/user.md)                      | Owner of the deal                                                          |
| ownerUserId            | ID                                                                  | Owner of the deal                                                          |
| pipeline               | String                                                              | Which pipeline the deal belongs to: sales or renewal                       |
| probability            | Int                                                                 | Probability that the deal will close                                       |
| quoteDefaults          | [Quote](/developer/api-reference/types/quote.md)                    | Default values for a new quote based on this deal                          |
| quotes                 | List ([Quote](/developer/api-reference/types/quote.md))             | Quotes on the deal                                                         |
| renewalCurrentAmount   | Float                                                               | Baseline (current) ARR for a renewal deal                                  |
| renewalMrr             | Float                                                               | Monthly recurring revenue for a renewal deal (current ARR / 12)            |
| renewalNeedsAttention  | Boolean                                                             | Renewal is close to its date but has had no activity (still Quote drafted) |
| stageDescription       | ID                                                                  | Description of the deal stage                                              |
| updatedAt              | ISO8601DateTime                                                     | Datetime the deal was last updated                                         |
| viaPortal              | Boolean                                                             | Whether the deal was created from Portal UI or not                         |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/deal.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
